//#include <bits/stdc++.h>
//using namespace std;
//const int N=1e6+1;
//char s[N];
//int main() {
//    for (int i=2;i <= N;i++) {
//        if (s[i] != 0)
//            continue;
//        for (int k=i;k <= N;k+=i) {
//            if (s[k] == 0)
//                s[k]++;
//        }
//    }
//    int q, a;
//    cin >> q;
//    for (int i=0;i < q;i++){
//        cin >> a;
//        cout << int(s[a]);
//    }
//}
#include <bits/stdc++.h>
using namespace std;
const int MAX_A = 1000000;
vector<int> primes;
vector<int> factor_sums(MAX_A + 1, 0);
void sieve() {
    vector<bool> is_prime(MAX_A + 1, true);
    is_prime[0] = is_prime[1] = false;

    for (int i = 2; i <= MAX_A; i++) {
        if (is_prime[i]) {
            primes.push_back(i);
            for (int j = 2 * i; j <= MAX_A; j += i) {
                is_prime[j] = false;
            }
        }
    }
}
void precompute() {
    for (int p :primes) {
        for (int i = p; i <= MAX_A; i += p) {
            int num = i;
            while (num % p == 0) {
                factor_sums[i]++;
                num /= p;
            }
        }
    }
    for (int i = 2; i <= MAX_A; i++) {
        factor_sums[i] += factor_sums[i - 1];
    }
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    sieve();
    precompute();
    int q;
    cin >> q;
    while (q--) {
        int ai;
        cin >> ai;
        cout << factor_sums[ai] << " ";
    }
    return 0;
}
