#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;
using num=vector<int>;
num to_num(string s)
{
    reverse(s.begin(),s.end());
    num a;
    for (char c:s) a.push_back(c-'0');
    return a;
}
string to_string(num x)
{
    string s;
    for (int d:x) s.push_back(char('0'+d));
    reverse(s.begin(),s.end());
    return s;
}
num operator+(num a, num b)
{
    while (a.size()<b.size()) a.push_back(0);
    while (b.size()<a.size()) b.push_back(0);
    int n=a.size();
    int c=0;
    for (int i=0; i<n; i++)
    {
        a[i]=a[i]+b[i]+c;
        c=a[i]/10;
        a[i]%=10;
    }
    while (c>0)
    {
        a.push_back(c%10);
        c=c/10;
    }
    return a;
}

num operator*(num a, num b)
{
    int m=a.size();
    int n=b.size();
    num x(m+n);
    for (int i=0; i<m; i++)
        for (int j=0; j<n; j++)
            x[i+j]=x[i+j]+a[i]*b[j];
    int c=0;
    for (int i=0; i<m+n; i++)
    {
        x[i]=x[i]+c;
        c=x[i]/10;
        x[i]%=10;
    }
    while (c>0)
    {
        x.push_back(c%10);
        c/=10;
    }
    while (x.size()>1 && x.back()==0) x.pop_back();
    return x;
}

int main()
{
    string a,b;
    cin >>a >>b;
    num x=to_num(a)*to_num(b);;
    cout <<to_string(x);
    return 0;
}