#include <bits/stdc++.h>
using namespace std;
using num = vector <int>;

num to_num(string s) {
    reverse(s.begin(), s.end());
    num  n;
    for (char c:s) {
        n.push_back(c-'0');
    }
    return n;
}

string to_string(num n) {
    string s;
    for (int a:n) {
        s+=a+'0';
    }
    reverse(s.begin(), s.end());
    return s;
}

num to_num(long long x) {
    return to_num(to_string(x));
}

istream& operator>>(istream& is, num& a) {
    //cin>>a;
    string s;
    is>>s;
    a=to_num(s);
    return is;
}

ostream& operator<<(ostream& out, const num& a) {
    //cout<<a;
    out<<to_string(a);
    return out;
}

num add(num a, num b) {
    while (a.size()<b.size()) {
        a.push_back(0);
    }
    while (b.size()<a.size()) {
        b.push_back(0);
    }
    int n=a.size();
    int c=0;
    for (int i=0;i<n;i+=1) {
        a[i]=a[i]+b[i]+c;
        c=a[i]/10;
        a[i]=a[i]%10;
    }
    while (c>0) {
        a.push_back(c%10);
        c=c/10;
    }
    return a;
}

num operator+(num a, num b) {
    return add(a, b);
}

num operator+(num a, long long b) {
    return add(a, to_num(b));
}

num sub(num a, num b) {
    while (a.size()<b.size()) {
        a.push_back(0);
    }
    while (b.size()<a.size()) {
        b.push_back(0);
    }
    int n=a.size();
    int c=0;
    for (int i=0;i<n;i+=1) {
        int d=a[i]-b[i]-c;
        if (d<0) c=abs(c)/10;
        else c=0;
        d+=c*10;
        a[i]=d%10;
    }
    while (a.size()>1&&a.back()==0) {
        a.pop_back();
    }
    return a;
}

num operator-(num a, num b) {
    return sub(a, b);
}

num operator-(num a, long long b) {
    return sub(a, to_num(b));
}

num mul(num a, num b) {
    int n=a.size();
    int m=b.size();
    num x(n+m);
    for (int i=0;i<n;i+=1) {
        for (int j=0;j<m;j+=1) {
            x[i+j]+=a[i]*b[j];
        }
    }
    int c=0;
    for (int i=0;i<n+m;i+=1) {
        x[i]+=c;
        c=x[i]/10;
        x[i]%=10;
    }
    while (c>0) {
        x.push_back(c%10);
        c/=10;
    }
    while (x.size()>1&&x.back()==0) {
        x.pop_back();
    }
    return x;
}

num operator*(num a, num b) {
    return mul(a, b);
}

int main()
{
    num a, b;
    cin>>a;
    cin>>b;
    cout<<a*b<<endl;
}
