#include <bits/stdc++.h>

using namespace std;

using num = vector<int>;

num to_num (string s) {

    reverse (s.begin(),s.end());
    num a;
    for (char c:s) a.push_back (c-'0');
    return a;

}

num to_num (long long x) {

    return to_num (to_string(x));

}

string to_string (num x) {

    string s;
    for (int d:x) s.push_back (char('0'+d));
    reverse (s.begin(), s.end());
    return s;

}

num mul (num a,num b) {

    int m = a.size();
    int n = b.size();
    num x(m+n);

    for (int i=0;i<m;i++) {
        for (int j=0;j<n;j++) {
            x[i+j] = x[j+i] + a[i]*b[j];
        }
    }

    int c = 0;
    for (int i=0;i<m+n;i++) {
        x[i] = x[i] + c;
        c=x[i]/10;
        x[i]=x[i]%10;
    }

    while (c<0) {
        x.push_back (c%10);
        c=c/10;
    }

    while (x.size()>1 and x.back()==0) {
        x.pop_back();
    }

    return x;


}

istream& operator>> (istream& is, num& a) {

    string s;
    is >> s;
    a=to_num(s);
    return is;

}

ostream& operator<< (ostream& out, const num& a) {

    out << to_string (a);
    return out;

}

num operator* (num x, num y) {

    return mul (x, y);

}

int main () {

    num a, b, pr;
    cin >> a >> b;
    cout << a*b << endl;

    return 0;
}

